<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="catalog-page">

        <!-- <div style="height: 40px;"></div> -->

        <!-- <FiltersTop :sortOptions="sortOptions">
        </FiltersTop> -->

        <Datatable :data="data">
            <button class="button-stroke-transparent rounded">
                Associate Dataset
            </button>
            <div class="filters-top-totals"><b>33 Domains</b> related to this dataset</div>
        </Datatable>

    </div>
</template>
<script setup lang="ts">
import type DataTableI from '~/interfaces/datatable';
import type NavItemI from '~/interfaces/navItem';

useHead({
    title: 'Catalog - DATAMITE'
});

const showCreateDatasetModal = ref(false);

const close = () => {
    // console.log(2);
    showCreateDatasetModal.value = false;
};

// make the function close available to emit in other components
defineExpose({ close });

const data = ref<DataTableI>({
    options: {
        tableName: 'catalog-table',
        detailsPath: '/catalog/',
        allowCheckRow: true,
        favourites: true,
        previewComponent: 'CatalogDetails',
    },
    columns: [
        {
            id: 1,
            name: 'name',
            label: 'Name',
            width: '300px',
            combineColumn: 'type',
            renderComponent: 'TableColumnsName'
        },
        {
            id: 2,
            name: 'platform',
            label: 'Platform',
            width: '100px'
        },
        {
            id: 3,
            name: 'domain',
            label: 'Domain',
            width: '140px'
        },
        {
            id: 4,
            name: 'quality',
            label: 'Quality',
            width: '100px',
            renderComponent: 'TableColumnsQuality'
        },
        {
            id: 5,
            name: 'owner',
            label: 'Owner',
            width: '200px',
            renderComponent: 'UserProfile'
        },
        {
            id: 6,
            name: 'edited_at',
            label: 'Edited at',
            width: '70px'
        },
        {
            id: 7,
            name: 'actions',
            label: 'Actions',
            width: '80px',
            hideLabel: true
        }
    ],
    rows: [
        {
            id: 1,
            name: 'Customers',
            type: 'Dataset',
            platform: 'AWS S3',
            domain: 'Computer Science/ Artificial Intelligence',
            quality: 97,
            owner: 1,
            edited_at: '2022-01-01 22:43',
            actions: ''
        },
        {
            id: 2,
            name: 'Payments',
            type: 'Artifact',
            platform: 'BigQuery',
            domain: 'Medicine/Health Sciences',
            quality: 87,
            owner: 2,
            edited_at: '2022-01-01  22:43',
            actions: ''
        }
    ]
});

const viewDefault = () => {
    console.log('show default home page');
}

const dummyClick = () => {
    console.log('dummyClick');
}

const sortOptions = ref(['Last modified first', 'Last modified last', 'Option 3']);

</script>